Subject: Re: bug#43610: IceCat segfault

From: raingloom <[email-masked]>
Date: Fri, 2 Oct 2020 01:28:49 +0200

On Fri, 2 Oct 2020 00:57:39 +0200
raingloom <[email-masked]> wrote:

> On Sun, 27 Sep 2020 16:36:52 -0400
> Mark H Weaver <[email-masked]> wrote:
> 
> > Hi,
> > 
> > raingloom <[email-masked]> writes:
> >   
> > > On Sat, 26 Sep 2020 14:05:53 -0400
> > > Mark H Weaver <[email-masked]> wrote:
> > >    
> > >> In the meantime, to start IceCat 78 with your existing profile
> > >> but with addons temporarily disabled, try running:
> > >> 
> > >>   icecat -safe-mode
> > >> 
> > >> That should allow you to recover your existing bookmarks,
> > >> history, cookies, saved passwords, tabs, etc.  Then you can try
> > >> adding back your preferred addons incrementally to find out
> > >> which one is causing the problem.    
> > >
> > > It still crashes with the -safe-mode flag. Luckily I keep most
> > > things outside modern browsers, so it's not a huge loss. (For
> > > obvious reasons I do not consider them reliable.)    
> > 
> > If you'd like to try another experiment, it would be interesting to
> > know if you're able to recover most of your old profile by running
> > "icecat -safe-mode -p", selecting your old profile, and clicking on
> > the "Refresh IceCat" button that is presented.  That will reset all
> > preferences to the IceCat defaults, but might enable you to recover
> > the things I listed above.  
> 
> What I tried was running the old IceCat and disabling every single
> addon. It did not fix anything.
> Gonna see if my about:config modifications are messing something up.
> 
> I hate these "modern" (transl.: google approved) browsers so fricking
> much...

Well, what ended up working was deleting a bunch of file from the
profile directory. No idea which deletion made it work and at this
point I just wanna crawl back to Netsurf.
Can't say I'd recommend this workaround to regular users, but if you
can guess what those files are, you should be safe.

Files and directories I deleted: (taken from ~/.local/share/Trash/files)

```
{513646f8-fb87-4135-a41e-4cf1d1ccccf2}
{74145f27-f039-47ce-a470-a662b129930a}
{9063c2e9-e07c-4c2c-9646-cfe7ca8d0498}
AlternateServices.2.txt
AlternateServices.txt
blocklist.xml
broadcast-listeners.json
{c2c003ee-bd69-42a2-b0e9-6f34222cb046}
{c607c8df-14a7-4f28-894f-29e8722976af}
cert_override.txt
compatibility.2.ini
compatibility.ini
containers.json
datareporting
{de89ec3b-0f2a-45af-aeec-931d16988f72}
{e4a8a97b-f2ed-450b-b12d-ee082ba24781}
enumerate_devices.txt
gmp
handlers.json
[email-masked]
pkcs11.txt
prefs.js
SecurityPreloadState.txt
sessionCheckpoints.json
sessionstore.jsonlz4
shinigamieyes@shinigamieyes
SiteSecurityServiceState.txt
staged
storage.sqlite
storage-sync.sqlite
Telemetry.ShutdownTime.txt
times.json
TRRBlacklist.txt
[email-masked]
weave
```